GtkSeparatorToolItem
3
GTK Library

# GtkSeparatorToolItem

A toolbar item that separates groups of other toolbar items

## Synopsis

    #include <gtk/gtk.h>

                        GtkSeparatorToolItem;
    GtkToolItem *       gtk_separator_tool_item_new         (void);
    void                gtk_separator_tool_item_set_draw    (GtkSeparatorToolItem *item,
                                                             gboolean draw);
    gboolean            gtk_separator_tool_item_get_draw    (GtkSeparatorToolItem *item);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkToolItem
                                           +----GtkSeparatorToolItem

## Implemented Interfaces

GtkSeparatorToolItem implements GtkActivatable, AtkImplementorIface and GtkBuildable.

## Properties

      "draw"                     gboolean              : Read / Write

## Description

A GtkSeparatorItem is a GtkToolItem that separates groups of other GtkToolItems. Depending on the theme, a GtkSeparatorToolItem will often look like a vertical line on horizontally docked toolbars.

If the property "expand" is TRUE and the property "draw" is FALSE, a GtkSeparatorToolItem will act as a "spring" that forces other items to the ends of the toolbar.

Use `gtk_separator_tool_item_new()` to create a new GtkSeparatorToolItem.

## Details

### GtkSeparatorToolItem

    typedef struct _GtkSeparatorToolItem GtkSeparatorToolItem;

The GtkSeparatorToolItem struct contains only private data and should only be accessed through the functions described below.

### gtk_separator_tool_item_new ()

    GtkToolItem *       gtk_separator_tool_item_new         (void);

Create a new GtkSeparatorToolItem

Returns :

  the new GtkSeparatorToolItem

Since 2.4

### gtk_separator_tool_item_set_draw ()

    void                gtk_separator_tool_item_set_draw    (GtkSeparatorToolItem *item,
                                                             gboolean draw);

Whether `item` is drawn as a vertical line, or just blank. Setting this to `FALSE` along with `gtk_tool_item_set_expand()` is useful to create an item that forces following items to the end of the toolbar.

`item` :

  a GtkSeparatorToolItem

`draw` :

  whether `item` is drawn as a vertical line

Since 2.4

### gtk_separator_tool_item_get_draw ()

    gboolean            gtk_separator_tool_item_get_draw    (GtkSeparatorToolItem *item);

Returns whether `item` is drawn as a line, or just blank. See `gtk_separator_tool_item_set_draw()`.

`item` :

  a GtkSeparatorToolItem

Returns :

  `TRUE` if `item` is drawn as a line, or just blank.

Since 2.4

## Property Details

### The `"draw"` property

      "draw"                     gboolean              : Read / Write

Whether the separator is drawn, or just blank.

Default value: TRUE

## See Also

GtkToolbar

  The toolbar widget

GtkRadioToolButton

  A toolbar item containing a radio button